Bug 629530 - Review Request: python3-zope-fixers - 2to3 fixers for Zope
Review Request: python3-zope-fixers - 2to3 fixers for Zope
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 04:47 EDT by Robin Lee
Modified: 2012-05-10 10:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: python3-zope-fixers-1.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 10:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2010-09-02 04:47:24 EDT
Spec URL: http://cheeselee.fedorapeople.org/python3-zope-fixers.spec
SRPM URL: http://cheeselee.fedorapeople.org/python3-zope-fixers-1.0-1.fc13.src.rpm
Description:
Fixers for Zope Component Architecture and the frameworks built with it.

Currently, there is only one fixer, fix_implements. This fixer will change
all uses of implements(IFoo) in a class body to the class decorator
@implementer(IFoo), which is the most likely Python 3 syntax for
zope.interfaces implements statements.

rpmlint results:
$ rpmlint ./python3-zope-fixers.spec 
./python3-zope-fixers.spec: W: no-cleaning-of-buildroot %install
./python3-zope-fixers.spec: W: no-cleaning-of-buildroot %clean
./python3-zope-fixers.spec: W: no-buildroot-tag
./python3-zope-fixers.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint ./python3-zope-fixers-1.0-1.fc13.src.rpm 
python3-zope-fixers.src: W: no-cleaning-of-buildroot %install
python3-zope-fixers.src: W: no-cleaning-of-buildroot %clean
python3-zope-fixers.src: W: no-buildroot-tag
python3-zope-fixers.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint ./noarch/python3-zope-fixers-1.0-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Chen Lei 2010-09-03 21:20:19 EDT
Not sure python3 package will be useful for zope in the near future.

From zope docs:
Zope 2.13 is continuing to support Python 2.6.4 or any later maintenance release of it. There’s currently no support for any Python 3.x version. Work has begun in the Zope Toolkit to port some of the lower level packages to Python 3.
Comment 2 Robin Lee 2010-09-03 22:48:10 EDT
Some low level ZTK packages like zope.interface and zope.exceptions have been ported to Python 3, and this package is needed to build their binary rpms for Python 3.
Comment 3 Jason Tibbitts 2012-04-24 17:13:24 EDT
Just built this; not sure why it hasn't been reviewed yet as it's been around for ages and is both clean and trivial.  I'll go ahead and do a review, and I'll be trying to deal with all of the open 2010 tickets (of which you have several) so if those tickets/packages need updates feel free to do them and I'll take a look.

rpmlint is silent for me; in the intervening time it's been fixed to stop complaining about clean spec files.

The package does include a test suite.  Is there a reason you don't run it?  This appears to work fine:
  %check
  %{__python3} setup.py test

Really the test suite is the only thing missing, and that's pretty minor so I'll go ahead and approve this and you can fix it when you check in.

APPROVED

* source files match upstream.  sha256sum:
  1483d52aee35b5050ca7b8b19ff3977aebad6aab494783def3b495219ec34d06  
   zope.fixers-1.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   python3-zope-fixers = 1.0-1.fc18
  =
   python(abi) = 3.2

X %check is not present but the package includes a test suite.
* no bundled libraries.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 4 Robin Lee 2012-04-25 10:48:32 EDT
New Package SCM Request
=======================
Package Name: python3-zope-fixers
Short Description: 2to3 fixers for Zope
Owners: cheeselee
Branches: f16 f17
InitialCC: 


Thanks! I am pretty busy recently, but I will try to make a review this weekend.
Comment 5 Jon Ciesla 2012-04-25 10:49:29 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-04-25 21:38:01 EDT
python3-zope-fixers-1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python3-zope-fixers-1.0-2.fc16
Comment 7 Fedora Update System 2012-04-27 01:59:50 EDT
python3-zope-fixers-1.0-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-05-10 10:21:17 EDT
python3-zope-fixers-1.0-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.